package cn.axzo.msg.center.inside.notices.service.umeng.android;


import cn.axzo.msg.center.inside.notices.service.umeng.AndroidNotification;

public class AndroidUnicast extends AndroidNotification {

  public AndroidUnicast(String appkey, String CmpAndroidSecret) throws Exception {
    setCmpAndroidSecret(CmpAndroidSecret);
    setPredefinedKeyValue("appkey", appkey);
    this.setPredefinedKeyValue("type", "unicast");
  }

  public void setDeviceToken(String token) throws Exception {
    setPredefinedKeyValue("device_tokens", token);
  }

}